unit formCreator;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ToolWin, ActnList, ExtDlgs, ExtCtrls, JPEG, ApplicationData;

type
  TfrmCreator = class(TForm)
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    acMain: TActionList;
    acOpen: TAction;
    acSave: TAction;
    dlgOpenPicture: TOpenPictureDialog;
    dlgSave: TSaveDialog;
    imgPicture: TImage;
    procedure acOpenExecute(Sender: TObject);
    procedure acSaveExecute(Sender: TObject);
  private
    fPicFile : string;
  public
    { Public declarations }
  end;

var
  frmCreator: TfrmCreator;

implementation

{$R *.dfm}

procedure TfrmCreator.acOpenExecute(Sender: TObject);
begin
  if dlgOpenPicture.Execute then begin
    fPicFile:=dlgOpenPicture.FileName;

    imgPicture.Picture.LoadFromFile(fPicFile);
  end;
end;

procedure TfrmCreator.acSaveExecute(Sender: TObject);
begin
  if (Trim(fPicFile)<>'') and dlgSave.Execute then begin
    CopyFile(PChar(ExtractFilePath(Application.ExeName)+'player.exe'),PChar(dlgSave.FileName),False);

    AppendFile(fPicFile,dlgSave.FileName);
  end;
end;

end.
