unit formPlayer;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, JPEG, ApplicationData;

type
  TfrmPlayer = class(TForm)
    imgPicture: TImage;
    procedure FormShow(Sender: TObject);
  private
  public
    { Public declarations }
  end;

var
  frmPlayer: TfrmPlayer;

implementation

{$R *.dfm}

procedure TfrmPlayer.FormShow(Sender: TObject);
var jpg     : TJPEGImage;
    appStrm : TApplicationDataStream;
begin
  jpg:=nil;
  appStrm:=nil;

  try
    appStrm:=TApplicationDataStream.Create(Application.ExeName,adsmRead);

    jpg:=TJPEGImage.Create;

    jpg.LoadFromStream(appStrm);

    imgPicture.Picture.Graphic:=jpg;
  finally
    FreeAndNil(jpg);
    FreeAndNil(appStrm);
  end;
end;

end.
